Exception when adding a new data set section

Bug #627977 reported by Ola Hodne Titlestad on 2010-09-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
Undecided
Hieu Duy Dang

Bug Description

I got this exception when adding a new dataset section. Using build 1984 from Aug 27.

[-] Exception (org.springframework.dao.DataIntegrityViolationException): Could not execute JDBC batch update; SQL [insert into section (name, datasetid, sortorder, sectionid) values (?, ?, ?, ?)]; constraint [null]; nested exception is org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update

    * org.springframework.orm.hibernate3.SessionFactoryUtils.convertHibernateAccessException(SessionFactoryUtils.java:637)
    * org.springframework.orm.hibernate3.HibernateTransactionManager.convertHibernateAccessException(HibernateTransactionManager.java:793)
    * org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit(HibernateTransactionManager.java:664)
    * org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransactionManager.java:754)
    * org.springframework.transaction.support.AbstractPlatformTransactionManager.commit(AbstractPlatformTransactionManager.java:723)
    * org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning(TransactionAspectSupport.java:375)
    * org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:120)
    * org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
    * org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202)
    * $Proxy29.addSection(Unknown source)
    * org.hisp.dhis.dataset.action.section.AddSectionAction.execute(AddSectionAction.java:217)
    * sun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethodAccessorImpl.java:-2)
    * sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    * sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    * java.lang.reflect.Method.invoke(Method.java:597)
    * com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:441)
    * com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:280)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:243)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalUserInterceptor.intercept(XWorkPortalUserInterceptor.java:82)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalModuleInterceptor.intercept(XWorkPortalModuleInterceptor.java:85)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalMenuInterceptor.intercept(XWorkPortalMenuInterceptor.java:91)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalParamsInterceptor.intercept(XWorkPortalParamsInterceptor.java:117)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.ContextInterceptor.intercept(ContextInterceptor.java:67)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.StyleInterceptor.intercept(StyleInterceptor.java:89)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.SystemSettingInterceptor.intercept(SystemSettingInterceptor.java:103)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.DataDictionaryModeInterceptor.intercept(DataDictionaryModeInterceptor.java:109)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.DisplayPropertyInterceptor.intercept(DisplayPropertyInterceptor.java:90)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.SortOrderInterceptor.intercept(SortOrderInterceptor.java:124)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.security.intercept.XWorkSecurityInterceptor.intercept(XWorkSecurityInterceptor.java:98)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.I18nInterceptor.intercept(I18nInterceptor.java:141)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.ChainingInterceptor.intercept(ChainingInterceptor.java:126)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)
    * com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.StaticParametersInterceptor.intercept(StaticParametersInterceptor.java:179)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.ExceptionInterceptor.intercept(ExceptionInterceptor.java:89)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.apache.struts2.impl.StrutsActionProxy.execute(StrutsActionProxy.java:52)
    * org.apache.struts2.dispatcher.Dispatcher.serviceAction(Dispatcher.java:488)
    * org.apache.struts2.dispatcher.FilterDispatcher.doFilter(FilterDispatcher.java:395)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:343)
    * org.hisp.dhis.security.filter.RequiredLoginFilter.doFilter(RequiredLoginFilter.java:129)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilter(BasicAuthenticationFilter.java:177)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.hisp.dhis.security.filter.AutomaticAccessFilter.doFilter(AutomaticAccessFilter.java:112)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:105)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:188)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:79)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:149)
    * org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:237)
    * org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:167)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.springframework.orm.hibernate3.support.OpenSessionInViewFilter.doFilterInternal(OpenSessionInViewFilter.java:198)
    * org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    * org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    * org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
    * org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    * org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    * org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
    * org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)
    * org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
    * org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:454)
    * java.lang.Thread.run(Thread.java:619)

[-] Caused by (org.hibernate.exception.ConstraintViolationException): Could not execute JDBC batch update

    * org.hibernate.exception.SQLStateConverter.convert(SQLStateConverter.java:96)
    * org.hibernate.exception.JDBCExceptionHelper.convert(JDBCExceptionHelper.java:66)
    * org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:275)
    * org.hibernate.jdbc.AbstractBatcher.prepareStatement(AbstractBatcher.java:114)
    * org.hibernate.jdbc.AbstractBatcher.prepareStatement(AbstractBatcher.java:109)
    * org.hibernate.jdbc.AbstractBatcher.prepareBatchStatement(AbstractBatcher.java:244)
    * org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:2395)
    * org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:2858)
    * org.hibernate.action.EntityInsertAction.execute(EntityInsertAction.java:79)
    * org.hibernate.engine.ActionQueue.execute(ActionQueue.java:268)
    * org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:260)
    * org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:179)
    * org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)
    * org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:51)
    * org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1206)
    * org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:375)
    * org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:137)
    * org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit(HibernateTransactionManager.java:656)
    * org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransactionManager.java:754)
    * org.springframework.transaction.support.AbstractPlatformTransactionManager.commit(AbstractPlatformTransactionManager.java:723)
    * org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning(TransactionAspectSupport.java:375)
    * org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:120)
    * org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
    * org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202)
    * $Proxy29.addSection(Unknown source)
    * org.hisp.dhis.dataset.action.section.AddSectionAction.execute(AddSectionAction.java:217)
    * sun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethodAccessorImpl.java:-2)
    * sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    * sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    * java.lang.reflect.Method.invoke(Method.java:597)
    * com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:441)
    * com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:280)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:243)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalUserInterceptor.intercept(XWorkPortalUserInterceptor.java:82)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalModuleInterceptor.intercept(XWorkPortalModuleInterceptor.java:85)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalMenuInterceptor.intercept(XWorkPortalMenuInterceptor.java:91)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalParamsInterceptor.intercept(XWorkPortalParamsInterceptor.java:117)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.ContextInterceptor.intercept(ContextInterceptor.java:67)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.StyleInterceptor.intercept(StyleInterceptor.java:89)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.SystemSettingInterceptor.intercept(SystemSettingInterceptor.java:103)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.DataDictionaryModeInterceptor.intercept(DataDictionaryModeInterceptor.java:109)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.DisplayPropertyInterceptor.intercept(DisplayPropertyInterceptor.java:90)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.SortOrderInterceptor.intercept(SortOrderInterceptor.java:124)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.security.intercept.XWorkSecurityInterceptor.intercept(XWorkSecurityInterceptor.java:98)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.I18nInterceptor.intercept(I18nInterceptor.java:141)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.ChainingInterceptor.intercept(ChainingInterceptor.java:126)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)
    * com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.StaticParametersInterceptor.intercept(StaticParametersInterceptor.java:179)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.ExceptionInterceptor.intercept(ExceptionInterceptor.java:89)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.apache.struts2.impl.StrutsActionProxy.execute(StrutsActionProxy.java:52)
    * org.apache.struts2.dispatcher.Dispatcher.serviceAction(Dispatcher.java:488)
    * org.apache.struts2.dispatcher.FilterDispatcher.doFilter(FilterDispatcher.java:395)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:343)
    * org.hisp.dhis.security.filter.RequiredLoginFilter.doFilter(RequiredLoginFilter.java:129)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilter(BasicAuthenticationFilter.java:177)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.hisp.dhis.security.filter.AutomaticAccessFilter.doFilter(AutomaticAccessFilter.java:112)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:105)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:188)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:79)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:149)
    * org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:237)
    * org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:167)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.springframework.orm.hibernate3.support.OpenSessionInViewFilter.doFilterInternal(OpenSessionInViewFilter.java:198)
    * org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    * org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    * org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
    * org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    * org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    * org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
    * org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)
    * org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
    * org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:454)
    * java.lang.Thread.run(Thread.java:619)

[-] Caused by (java.sql.BatchUpdateException): Batch entry 0 insert into section (name, datasetid, sortorder, sectionid) values ('OPD Attendance', '11144', '0', '11148') was aborted. Call getNextException to see the cause.

    * org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError(AbstractJdbc2Statement.java:2569)
    * org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1796)
    * org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:407)
    * org.postgresql.jdbc2.AbstractJdbc2Statement.executeBatch(AbstractJdbc2Statement.java:2708)
    * com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeBatch(NewProxyPreparedStatement.java:1723)
    * org.hibernate.jdbc.BatchingBatcher.doExecuteBatch(BatchingBatcher.java:70)
    * org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:268)
    * org.hibernate.jdbc.AbstractBatcher.prepareStatement(AbstractBatcher.java:114)
    * org.hibernate.jdbc.AbstractBatcher.prepareStatement(AbstractBatcher.java:109)
    * org.hibernate.jdbc.AbstractBatcher.prepareBatchStatement(AbstractBatcher.java:244)
    * org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:2395)
    * org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:2858)
    * org.hibernate.action.EntityInsertAction.execute(EntityInsertAction.java:79)
    * org.hibernate.engine.ActionQueue.execute(ActionQueue.java:268)
    * org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:260)
    * org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:179)
    * org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)
    * org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:51)
    * org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1206)
    * org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:375)
    * org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:137)
    * org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit(HibernateTransactionManager.java:656)
    * org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransactionManager.java:754)
    * org.springframework.transaction.support.AbstractPlatformTransactionManager.commit(AbstractPlatformTransactionManager.java:723)
    * org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning(TransactionAspectSupport.java:375)
    * org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:120)
    * org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
    * org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202)
    * $Proxy29.addSection(Unknown source)
    * org.hisp.dhis.dataset.action.section.AddSectionAction.execute(AddSectionAction.java:217)
    * sun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethodAccessorImpl.java:-2)
    * sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    * sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    * java.lang.reflect.Method.invoke(Method.java:597)
    * com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:441)
    * com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:280)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:243)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalUserInterceptor.intercept(XWorkPortalUserInterceptor.java:82)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalModuleInterceptor.intercept(XWorkPortalModuleInterceptor.java:85)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalMenuInterceptor.intercept(XWorkPortalMenuInterceptor.java:91)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.webportal.interceptor.XWorkPortalParamsInterceptor.intercept(XWorkPortalParamsInterceptor.java:117)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.ContextInterceptor.intercept(ContextInterceptor.java:67)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.StyleInterceptor.intercept(StyleInterceptor.java:89)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.SystemSettingInterceptor.intercept(SystemSettingInterceptor.java:103)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.DataDictionaryModeInterceptor.intercept(DataDictionaryModeInterceptor.java:109)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.DisplayPropertyInterceptor.intercept(DisplayPropertyInterceptor.java:90)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.SortOrderInterceptor.intercept(SortOrderInterceptor.java:124)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.security.intercept.XWorkSecurityInterceptor.intercept(XWorkSecurityInterceptor.java:98)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.I18nInterceptor.intercept(I18nInterceptor.java:141)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.ChainingInterceptor.intercept(ChainingInterceptor.java:126)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.ParametersInterceptor.doIntercept(ParametersInterceptor.java:195)
    * com.opensymphony.xwork2.interceptor.MethodFilterInterceptor.intercept(MethodFilterInterceptor.java:87)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * com.opensymphony.xwork2.interceptor.StaticParametersInterceptor.intercept(StaticParametersInterceptor.java:179)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.hisp.dhis.interceptor.ExceptionInterceptor.intercept(ExceptionInterceptor.java:89)
    * com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
    * org.apache.struts2.impl.StrutsActionProxy.execute(StrutsActionProxy.java:52)
    * org.apache.struts2.dispatcher.Dispatcher.serviceAction(Dispatcher.java:488)
    * org.apache.struts2.dispatcher.FilterDispatcher.doFilter(FilterDispatcher.java:395)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:343)
    * org.hisp.dhis.security.filter.RequiredLoginFilter.doFilter(RequiredLoginFilter.java:129)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilter(BasicAuthenticationFilter.java:177)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.hisp.dhis.security.filter.AutomaticAccessFilter.doFilter(AutomaticAccessFilter.java:112)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:105)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:188)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:79)
    * org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:355)
    * org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:149)
    * org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:237)
    * org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:167)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.springframework.orm.hibernate3.support.OpenSessionInViewFilter.doFilterInternal(OpenSessionInViewFilter.java:198)
    * org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)
    * org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    * org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    * org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    * org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    * org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
    * org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    * org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    * org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)
    * org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)
    * org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
    * org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:454)
    * java.lang.Thread.run(Thread.java:619)

Changed in dhis2:
milestone: none → 2.0.5
Ola Hodne Titlestad (olatitle) wrote :

Here is a crucial bit of the log that did not show in the browser:

NFO: Server startup in 228412 ms
* AUDIT_TRAIL 10:58:26,285 User "admin" edited DataSet "HMIS 105 Page
1 - OPD" (DefaultDataSetService.java [http-8080-3])
Sep 1, 2010 10:59:07 AM org.apache.tomcat.util.http.Parameters processParameters
WARNING: Parameters: Invalid chunk ignored.
* WARN 10:59:08,599 SQL Error: 0, SQLState: 23502
(JDBCExceptionReporter.java [http-8080-3])
* ERROR 10:59:08,601 Batch entry 0 insert into section (name,
datasetid, sortorder, sectionid) values ('OPD all', '11144', '0',
'11149') was aborted.
 Call getNextException to see the cause. (JDBCExceptionReporter.java
[http-8080-3])
* WARN 10:59:08,602 SQL Error: 0, SQLState: 23502
(JDBCExceptionReporter.java [http-8080-3])
* ERROR 10:59:08,603 ERROR: null value in column "title" violates
not-null constraint (JDBCExceptionReporter.java [http-8080-3])
* ERROR 10:59:08,604 Could not synchronize database state with session
(AbstractFlushingEventListener.java [http-8080-3])

* ERROR 10:59:08,603 ERROR: null value in column "title" violates
not-null constraint (JDBCExceptionReporter.java [http-8080-3])

seems to be the critical part, but not sure what this means really, as the name of the section "OPD all" is there in the SQL insert

Download full text (31.7 KiB)

Hi Everybody.

I just removed title property in DataSetSection, but hibernate
couldn't delete column title in database. Please deleted column title
in section table. Thanks and so sorry.

================================
Tran Thanh Tri
  HISP Viet Nam
  Cell phone: +84903670967
  Website: http://dhisvn.org
================================

On 1 September 2010 19:34, Ola Hodne Titlestad <email address hidden> wrote:
> Here is a crucial bit of the log that did not show in the browser:
>
> NFO: Server startup in 228412 ms
> * AUDIT_TRAIL 10:58:26,285 User  "admin" edited DataSet "HMIS 105 Page
> 1 - OPD" (DefaultDataSetService.java [http-8080-3])
> Sep 1, 2010 10:59:07 AM org.apache.tomcat.util.http.Parameters processParameters
> WARNING: Parameters: Invalid chunk ignored.
> * WARN  10:59:08,599 SQL Error: 0, SQLState: 23502
> (JDBCExceptionReporter.java [http-8080-3])
> * ERROR 10:59:08,601 Batch entry 0 insert into section (name,
> datasetid, sortorder, sectionid) values ('OPD all', '11144', '0',
> '11149') was aborted.
>  Call getNextException to see the cause. (JDBCExceptionReporter.java
> [http-8080-3])
> * WARN  10:59:08,602 SQL Error: 0, SQLState: 23502
> (JDBCExceptionReporter.java [http-8080-3])
> * ERROR 10:59:08,603 ERROR: null value in column "title" violates
> not-null constraint (JDBCExceptionReporter.java [http-8080-3])
> * ERROR 10:59:08,604 Could not synchronize database state with session
> (AbstractFlushingEventListener.java [http-8080-3])
>
>
> * ERROR 10:59:08,603 ERROR: null value in column "title" violates
> not-null constraint (JDBCExceptionReporter.java [http-8080-3])
>
>
> seems to be the critical part, but not sure what this means really, as the name of the section "OPD all" is there in the SQL insert
>
> --
> Exception when adding a new data set section
> https://bugs.launchpad.net/bugs/627977
> You received this bug notification because you are a member of DHIS 2
> India Developers, which is subscribed to DHIS.
>
> Status in DHIS 2 - District Health Information Software: New
>
> Bug description:
> I got this exception when adding a new dataset section. Using build 1984 from Aug 27.
>
> [-] Exception (org.springframework.dao.DataIntegrityViolationException): Could not execute JDBC batch update; SQL [insert into section (name, datasetid, sortorder, sectionid) values (?, ?, ?, ?)]; constraint [null]; nested exception is org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update
>
>    * org.springframework.orm.hibernate3.SessionFactoryUtils.convertHibernateAccessException(SessionFactoryUtils.java:637)
>    * org.springframework.orm.hibernate3.HibernateTransactionManager.convertHibernateAccessException(HibernateTransactionManager.java:793)
>    * org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit(HibernateTransactionManager.java:664)
>    * org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransactionManager.java:754)
>    * org.springframework.transaction.support.AbstractPlatformTransactionManager.commit(AbstractPlatformTransactionManager.java:723)
>    * org.springframework.transaction.interceptor.TransactionAspec...

Knut Staring (knutst) wrote :
Download full text (62.2 KiB)

On Wed, Sep 1, 2010 at 6:26 PM, Tri Tran Thanh <email address hidden> wrote:
> Hi Everybody.
>
> I just removed title property in DataSetSection, but hibernate
> couldn't delete column title in database. Please deleted column title
> in section table. Thanks and so sorry.

In other words, run this SQL:

ALTER TABLE section DROP COLUMN title;

>
> ================================
> Tran Thanh Tri
>   HISP Viet Nam
>   Cell phone: +84903670967
>   Website: http://dhisvn.org
> ================================
>
>
> On 1 September 2010 19:34, Ola Hodne Titlestad <email address hidden> wrote:
>> Here is a crucial bit of the log that did not show in the browser:
>>
>> NFO: Server startup in 228412 ms
>> * AUDIT_TRAIL 10:58:26,285 User  "admin" edited DataSet "HMIS 105 Page
>> 1 - OPD" (DefaultDataSetService.java [http-8080-3])
>> Sep 1, 2010 10:59:07 AM org.apache.tomcat.util.http.Parameters processParameters
>> WARNING: Parameters: Invalid chunk ignored.
>> * WARN  10:59:08,599 SQL Error: 0, SQLState: 23502
>> (JDBCExceptionReporter.java [http-8080-3])
>> * ERROR 10:59:08,601 Batch entry 0 insert into section (name,
>> datasetid, sortorder, sectionid) values ('OPD all', '11144', '0',
>> '11149') was aborted.
>>  Call getNextException to see the cause. (JDBCExceptionReporter.java
>> [http-8080-3])
>> * WARN  10:59:08,602 SQL Error: 0, SQLState: 23502
>> (JDBCExceptionReporter.java [http-8080-3])
>> * ERROR 10:59:08,603 ERROR: null value in column "title" violates
>> not-null constraint (JDBCExceptionReporter.java [http-8080-3])
>> * ERROR 10:59:08,604 Could not synchronize database state with session
>> (AbstractFlushingEventListener.java [http-8080-3])
>>
>>
>> * ERROR 10:59:08,603 ERROR: null value in column "title" violates
>> not-null constraint (JDBCExceptionReporter.java [http-8080-3])
>>
>>
>> seems to be the critical part, but not sure what this means really, as the name of the section "OPD all" is there in the SQL insert
>>
>> --
>> Exception when adding a new data set section
>> https://bugs.launchpad.net/bugs/627977
>> You received this bug notification because you are a member of DHIS 2
>> India Developers, which is subscribed to DHIS.
>>
>> Status in DHIS 2 - District Health Information Software: New
>>
>> Bug description:
>> I got this exception when adding a new dataset section. Using build 1984 from Aug 27.
>>
>> [-] Exception (org.springframework.dao.DataIntegrityViolationException): Could not execute JDBC batch update; SQL [insert into section (name, datasetid, sortorder, sectionid) values (?, ?, ?, ?)]; constraint [null]; nested exception is org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update
>>
>>    * org.springframework.orm.hibernate3.SessionFactoryUtils.convertHibernateAccessException(SessionFactoryUtils.java:637)
>>    * org.springframework.orm.hibernate3.HibernateTransactionManager.convertHibernateAccessException(HibernateTransactionManager.java:793)
>>    * org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit(HibernateTransactionManager.java:664)
>>    * org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransac...

Knut Staring (knutst) wrote :

In other words, run this SQL:

ALTER TABLE section DROP COLUMN title;

Changed in dhis2:
assignee: nobody → Hieu Duy Dang (hieu-hispvietnam)
status: New → Fix Committed
Download full text (64.3 KiB)

Tri,

why did you remove title for Section? Abyot included title in the new
section management and displays it in the section data entry form.

I guess it might be acceptable to use the section name in data entry form,
but this should be discussed first! And have you verified that this works?

When removing columns from the schema we should add a line in the
TableAlteror startup routine as Hibernate hbmdll is not picking this up.

Lars

On Wed, Sep 1, 2010 at 6:26 PM, Tri Tran Thanh <email address hidden>wrote:

> Hi Everybody.
>
> I just removed title property in DataSetSection, but hibernate
> couldn't delete column title in database. Please deleted column title
> in section table. Thanks and so sorry.
>
> ================================
> Tran Thanh Tri
> HISP Viet Nam
> Cell phone: +84903670967
> Website: http://dhisvn.org
> ================================
>
>
> On 1 September 2010 19:34, Ola Hodne Titlestad <email address hidden> wrote:
> > Here is a crucial bit of the log that did not show in the browser:
> >
> > NFO: Server startup in 228412 ms
> > * AUDIT_TRAIL 10:58:26,285 User "admin" edited DataSet "HMIS 105 Page
> > 1 - OPD" (DefaultDataSetService.java [http-8080-3])
> > Sep 1, 2010 10:59:07 AM org.apache.tomcat.util.http.Parameters
> processParameters
> > WARNING: Parameters: Invalid chunk ignored.
> > * WARN 10:59:08,599 SQL Error: 0, SQLState: 23502
> > (JDBCExceptionReporter.java [http-8080-3])
> > * ERROR 10:59:08,601 Batch entry 0 insert into section (name,
> > datasetid, sortorder, sectionid) values ('OPD all', '11144', '0',
> > '11149') was aborted.
> > Call getNextException to see the cause. (JDBCExceptionReporter.java
> > [http-8080-3])
> > * WARN 10:59:08,602 SQL Error: 0, SQLState: 23502
> > (JDBCExceptionReporter.java [http-8080-3])
> > * ERROR 10:59:08,603 ERROR: null value in column "title" violates
> > not-null constraint (JDBCExceptionReporter.java [http-8080-3])
> > * ERROR 10:59:08,604 Could not synchronize database state with session
> > (AbstractFlushingEventListener.java [http-8080-3])
> >
> >
> > * ERROR 10:59:08,603 ERROR: null value in column "title" violates
> > not-null constraint (JDBCExceptionReporter.java [http-8080-3])
> >
> >
> > seems to be the critical part, but not sure what this means really, as
> the name of the section "OPD all" is there in the SQL insert
> >
> > --
> > Exception when adding a new data set section
> > https://bugs.launchpad.net/bugs/627977
> > You received this bug notification because you are a member of DHIS 2
> > India Developers, which is subscribed to DHIS.
> >
> > Status in DHIS 2 - District Health Information Software: New
> >
> > Bug description:
> > I got this exception when adding a new dataset section. Using build 1984
> from Aug 27.
> >
> > [-] Exception (org.springframework.dao.DataIntegrityViolationException):
> Could not execute JDBC batch update; SQL [insert into section (name,
> datasetid, sortorder, sectionid) values (?, ?, ?, ?)]; constraint [null];
> nested exception is org.hibernate.exception.ConstraintViolationException:
> Could not execute JDBC batch update
> >
> > *
> org.springframework.orm.hibernate3.SessionFactoryUtils.convertHib...

Tri Tran Thanh (tranthanhtri84) wrote :
Download full text (66.4 KiB)

Hi lars.
I feel it's redundant and does not make sense. I were wrong, but i
think it is small thing, don't need to discuss too much, waste time
================================
Tran Thanh Tri
  HISP Viet Nam
  Cell phone: +84903670967
  Website: http://tringuyenvn.com
================================

2010/9/2 Lars Helge Øverland <email address hidden>:
> Tri,
> why did you remove title for Section? Abyot included title in the new
> section management and displays it in the section data entry form.
> I guess it might be acceptable to use the section name in data entry form,
> but this should be discussed first! And have you verified that this works?
>
> When removing columns from the schema we should add a line in the
> TableAlteror startup routine as Hibernate hbmdll is not picking this up.
>
>
> Lars
>
> On Wed, Sep 1, 2010 at 6:26 PM, Tri Tran Thanh <email address hidden>
> wrote:
>>
>> Hi Everybody.
>>
>> I just removed title property in DataSetSection, but hibernate
>> couldn't delete column title in database. Please deleted column title
>> in section table. Thanks and so sorry.
>>
>> ================================
>> Tran Thanh Tri
>>   HISP Viet Nam
>>   Cell phone: +84903670967
>>   Website: http://dhisvn.org
>> ================================
>>
>>
>> On 1 September 2010 19:34, Ola Hodne Titlestad <email address hidden> wrote:
>> > Here is a crucial bit of the log that did not show in the browser:
>> >
>> > NFO: Server startup in 228412 ms
>> > * AUDIT_TRAIL 10:58:26,285 User  "admin" edited DataSet "HMIS 105 Page
>> > 1 - OPD" (DefaultDataSetService.java [http-8080-3])
>> > Sep 1, 2010 10:59:07 AM org.apache.tomcat.util.http.Parameters
>> > processParameters
>> > WARNING: Parameters: Invalid chunk ignored.
>> > * WARN  10:59:08,599 SQL Error: 0, SQLState: 23502
>> > (JDBCExceptionReporter.java [http-8080-3])
>> > * ERROR 10:59:08,601 Batch entry 0 insert into section (name,
>> > datasetid, sortorder, sectionid) values ('OPD all', '11144', '0',
>> > '11149') was aborted.
>> >  Call getNextException to see the cause. (JDBCExceptionReporter.java
>> > [http-8080-3])
>> > * WARN  10:59:08,602 SQL Error: 0, SQLState: 23502
>> > (JDBCExceptionReporter.java [http-8080-3])
>> > * ERROR 10:59:08,603 ERROR: null value in column "title" violates
>> > not-null constraint (JDBCExceptionReporter.java [http-8080-3])
>> > * ERROR 10:59:08,604 Could not synchronize database state with session
>> > (AbstractFlushingEventListener.java [http-8080-3])
>> >
>> >
>> > * ERROR 10:59:08,603 ERROR: null value in column "title" violates
>> > not-null constraint (JDBCExceptionReporter.java [http-8080-3])
>> >
>> >
>> > seems to be the critical part, but not sure what this means really, as
>> > the name of the section "OPD all" is there in the SQL insert
>> >
>> > --
>> > Exception when adding a new data set section
>> > https://bugs.launchpad.net/bugs/627977
>> > You received this bug notification because you are a member of DHIS 2
>> > India Developers, which is subscribed to DHIS.
>> >
>> > Status in DHIS 2 - District Health Information Software: New
>> >
>> > Bug description:
>> > I got this exception when adding a new dataset section. Using build 1984...

Download full text (70.2 KiB)

2010/9/2 Trí Trần Thanh <email address hidden>

> Hi lars.
> I feel it's redundant and does not make sense. I were wrong, but i
> think it is small thing, don't need to discuss too much, waste time
>

Have you verified that section data entry still works?

> ================================
> Tran Thanh Tri
> HISP Viet Nam
> Cell phone: +84903670967
> Website: http://tringuyenvn.com
> ================================
>
>
>
> 2010/9/2 Lars Helge Øverland <email address hidden>:
> > Tri,
> > why did you remove title for Section? Abyot included title in the new
> > section management and displays it in the section data entry form.
> > I guess it might be acceptable to use the section name in data entry
> form,
> > but this should be discussed first! And have you verified that this
> works?
> >
> > When removing columns from the schema we should add a line in the
> > TableAlteror startup routine as Hibernate hbmdll is not picking this up.
> >
> >
> > Lars
> >
> > On Wed, Sep 1, 2010 at 6:26 PM, Tri Tran Thanh <<email address hidden>
> >
> > wrote:
> >>
> >> Hi Everybody.
> >>
> >> I just removed title property in DataSetSection, but hibernate
> >> couldn't delete column title in database. Please deleted column title
> >> in section table. Thanks and so sorry.
> >>
> >> ================================
> >> Tran Thanh Tri
> >> HISP Viet Nam
> >> Cell phone: +84903670967
> >> Website: http://dhisvn.org
> >> ================================
> >>
> >>
> >> On 1 September 2010 19:34, Ola Hodne Titlestad <email address hidden>
> wrote:
> >> > Here is a crucial bit of the log that did not show in the browser:
> >> >
> >> > NFO: Server startup in 228412 ms
> >> > * AUDIT_TRAIL 10:58:26,285 User "admin" edited DataSet "HMIS 105 Page
> >> > 1 - OPD" (DefaultDataSetService.java [http-8080-3])
> >> > Sep 1, 2010 10:59:07 AM org.apache.tomcat.util.http.Parameters
> >> > processParameters
> >> > WARNING: Parameters: Invalid chunk ignored.
> >> > * WARN 10:59:08,599 SQL Error: 0, SQLState: 23502
> >> > (JDBCExceptionReporter.java [http-8080-3])
> >> > * ERROR 10:59:08,601 Batch entry 0 insert into section (name,
> >> > datasetid, sortorder, sectionid) values ('OPD all', '11144', '0',
> >> > '11149') was aborted.
> >> > Call getNextException to see the cause. (JDBCExceptionReporter.java
> >> > [http-8080-3])
> >> > * WARN 10:59:08,602 SQL Error: 0, SQLState: 23502
> >> > (JDBCExceptionReporter.java [http-8080-3])
> >> > * ERROR 10:59:08,603 ERROR: null value in column "title" violates
> >> > not-null constraint (JDBCExceptionReporter.java [http-8080-3])
> >> > * ERROR 10:59:08,604 Could not synchronize database state with session
> >> > (AbstractFlushingEventListener.java [http-8080-3])
> >> >
> >> >
> >> > * ERROR 10:59:08,603 ERROR: null value in column "title" violates
> >> > not-null constraint (JDBCExceptionReporter.java [http-8080-3])
> >> >
> >> >
> >> > seems to be the critical part, but not sure what this means really, as
> >> > the name of the section "OPD all" is there in the SQL insert
> >> >
> >> > --
> >> > Exception when adding a new data set section
> >> > https://bugs.launchpad.net/bugs/627977
> >> > You received this bug not...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers